SUBDIRS = tools
CLEANFILES = \
	001-keyiread/actual.out \
	001-keyiread/actual.err \
	001-keyiread-ec/actual.out \
	001-keyiread-ec/actual.err \
	001-keyiread-rsa/actual.out \
	001-keyiread-rsa/actual.err \
	002-keygen/actual.out \
	002-keygen/actual.err \
	002-keygen-dbm/actual.out \
	002-keygen-dbm/actual.err \
	002-keygen-sql/actual.out \
	002-keygen-sql/actual.err \
	002-keygen-dsa/actual.out \
	002-keygen-dsa/actual.err \
	002-keygen-ec/actual.out \
	002-keygen-ec/actual.err \
	002-keygen-rsa/actual.out \
	002-keygen-rsa/actual.err \
	003-csrgen/actual.out \
	003-csrgen/actual.err \
	003-csrgen-ec/actual.out \
	003-csrgen-ec/actual.err \
	003-csrgen-rsa/actual.out \
	003-csrgen-rsa/actual.err \
	004-selfsign/actual.out \
	004-selfsign/actual.err \
	004-selfsign-ec/actual.out \
	004-selfsign-ec/actual.err \
	004-selfsign-rsa/actual.out \
	004-selfsign-rsa/actual.err \
	005-dbusm/actual.out \
	005-dbusm/actual.err \
	006-serial/actual.out \
	006-serial/actual.err \
	007-certsave/actual.out \
	007-certsave/actual.err \
	007-certsave-dbm/actual.out \
	007-certsave-dbm/actual.err \
	007-certsave-sql/actual.out \
	007-certsave-sql/actual.err \
	008-certread/actual.out \
	008-certread/actual.err \
	009-oiddict/actual.out \
	009-oiddict/actual.err \
	010-iterate/actual.out \
	010-iterate/actual.err \
	011-dbinit/actual.out \
	011-dbinit/actual.err \
	011-dbinit-dbm/actual.out \
	011-dbinit-dbm/actual.err \
	011-dbinit-sql/actual.out \
	011-dbinit-sql/actual.err \
	012-dbadd/actual.out \
	012-dbadd/actual.err \
	012-dbadd-dbm/actual.out \
	012-dbadd-dbm/actual.err \
	012-dbadd-sql/actual.out \
	012-dbadd-sql/actual.err \
	013-enckey/actual.out \
	013-enckey/actual.err \
	013-enckey-dbm/actual.out \
	013-enckey-dbm/actual.err \
	013-enckey-sql/actual.out \
	013-enckey-sql/actual.err \
	014-prefs/actual.out \
	014-prefs/actual.err \
	015-lockedkey/actual.out \
	015-lockedkey/actual.err \
	015-lockedkey-dbm/actual.out \
	015-lockedkey-dbm/actual.err \
	015-lockedkey-sql/actual.out \
	015-lockedkey-sql/actual.err \
	016-dates/actual.out \
	016-dates/actual.err \
	017-notoken/actual.out \
	017-notoken/actual.err \
	017-notoken-dbm/actual.out \
	017-notoken-dbm/actual.err \
	017-notoken-sql/actual.out \
	017-notoken-sql/actual.err \
	018-pembase/actual.out \
	018-pembase/actual.err \
	019-dparse/actual.out \
	019-dparse/actual.err \
	020-xparse/actual.out \
	020-xparse/actual.err \
	021-resume/actual.out \
	021-resume/actual.err \
	022-base64/actual.out \
	022-base64/actual.err \
	023-cadata/actual.out \
	023-cadata/actual.err \
	024-citerate/actual.out \
	024-citerate/actual.err \
	025-casave/actual.out \
	025-casave/actual.err \
	025-casave-dbm/actual.out \
	025-casave-dbm/actual.err \
	025-casave-sql/actual.out \
	025-casave-sql/actual.err \
	026-local/actual.out \
	026-local/actual.err \
	027-hooks/actual.out \
	027-hooks/actual.err \
	028-dbus/actual.out \
	028-dbus/actual.err \
	029-canonize/actual.out \
	029-canonize/actual.err \
	030-rekey/actual.out \
	030-rekey/actual.err \
	031-pkcs7/actual.out \
	031-pkcs7/actual.err \
	032-chain/actual.out \
	032-chain/actual.err \
	033-scep/actual.out \
	033-scep/actual.err \
	034-perms/actual.out \
	034-perms/actual.err \
	034-perms-dbm/actual.out \
	034-perms-dbm/actual.err \
	034-perms-sql/actual.out \
	034-perms-sql/actual.err \
	035-json/actual.out \
	035-json/actual.err \
	036-getcert/actual.out \
	036-getcert/actual.err \
	037-rekey2/actual.out \
	037-rekey2/actual.err \
	038-ms-v2-template/actual.out \
	038-ms-v2-template/actual.err \
	039-fromfile/actual.out \
	039-fromfile/actual.err
	040-pem/actual.out \
	040-pem/actual.err
EXTRA_DIST = \
	run-tests.sh functions certmonger.conf tools/cachain.sh \
	001-keyiread/run.sh \
	001-keyiread/expected.out \
	001-keyiread-rsa/run.sh \
	001-keyiread-rsa/expected.out \
	001-keyiread-ec/run.sh \
	001-keyiread-ec/expected.out \
	001-keyiread-ec/expected.out.2 \
	001-keyiread-ec/expected.out.3 \
	001-keyiread-ec/expected.out.4 \
	002-keygen/prequal.sh \
	002-keygen/run.sh \
	002-keygen/expected.out \
	002-keygen-dbm/run.sh \
	002-keygen-dbm/expected.out \
	002-keygen-sql/run.sh \
	002-keygen-sql/expected.out \
	002-keygen-rsa/prequal.sh \
	002-keygen-rsa/run.sh \
	002-keygen-rsa/expected.out \
	002-keygen-dsa/prequal.sh \
	002-keygen-dsa/run.sh \
	002-keygen-dsa/expected.out \
	002-keygen-ec/prequal.sh \
	002-keygen-ec/run.sh \
	002-keygen-ec/expected.out \
	002-keygen-ec/expected.out.2 \
	002-keygen-ec/expected.out.3 \
	002-keygen-ec/expected.out.4 \
	003-csrgen/run.sh \
	003-csrgen/expected.out \
	003-csrgen-rsa/run.sh \
	003-csrgen-rsa/expected.out \
	003-csrgen-ec/run.sh \
	003-csrgen-ec/expected.out \
	004-selfsign/run.sh \
	004-selfsign/expected.out \
	004-selfsign-rsa/run.sh \
	004-selfsign-rsa/expected.out \
	004-selfsign-ec/run.sh \
	004-selfsign-ec/expected.out \
	005-dbusm/run.sh \
	005-dbusm/expected.out \
	006-serial/run.sh \
	006-serial/expected.out \
	007-certsave/prequal.sh \
	007-certsave/run.sh \
	007-certsave/expected.out \
	007-certsave-dbm/prequal.sh \
	007-certsave-dbm/run.sh \
	007-certsave-dbm/expected.out \
	007-certsave-sql/prequal.sh \
	007-certsave-sql/run.sh \
	007-certsave-sql/expected.out \
	008-certread/run.sh \
	008-certread/expected.out \
	009-oiddict/run.sh \
	009-oiddict/expected.out \
	010-iterate/run.sh \
	010-iterate/expected.out \
	011-dbinit/expected.out \
	011-dbinit/run.sh \
	011-dbinit-dbm/expected.out \
	011-dbinit-dbm/run.sh \
	011-dbinit-sql/expected.out \
	011-dbinit-sql/run.sh \
	012-dbadd/expected.out \
	012-dbadd/run.sh \
	012-dbadd-dbm/expected.out \
	012-dbadd-dbm/run.sh \
	012-dbadd-sql/expected.out \
	012-dbadd-sql/run.sh \
	013-enckey/expected.out \
	013-enckey/run.sh \
	013-enckey-dbm/expected.out \
	013-enckey-dbm/run.sh \
	013-enckey-sql/expected.out \
	013-enckey-sql/run.sh \
	014-prefs/expected.out \
	014-prefs/run.sh \
	015-lockedkey/expected.out \
	015-lockedkey/run.sh \
	015-lockedkey-dbm/expected.out \
	015-lockedkey-dbm/run.sh \
	015-lockedkey-sql/expected.out \
	015-lockedkey-sql/run.sh \
	016-dates/expected.out \
	016-dates/run.sh \
	017-notoken/expected.out \
	017-notoken/run.sh \
	017-notoken-dbm/expected.out \
	017-notoken-dbm/run.sh \
	017-notoken-sql/expected.out \
	017-notoken-sql/run.sh \
	018-pembase/expected.out \
	018-pembase/run.sh \
	019-dparse/expected.out \
	019-dparse/run.sh \
	019-dparse/bad.checkRequest.nosuch \
	019-dparse/bad.displayCertFromRequest.incomplete \
	019-dparse/bad.displayCertFromRequest.no-such-request \
	019-dparse/bad.displayCertFromRequest.rejected \
	019-dparse/bad.profileProcess.bad-property \
	019-dparse/bad.profileProcess.no-agent-cert \
	019-dparse/bad.profileProcess.no-ca-cert \
	019-dparse/bad.profileProcess.no-property \
	019-dparse/bad.profileProcess.not-pending \
	019-dparse/bad.profileReview.no-such-request \
	019-dparse/bad.profileReview.unauthorized-cert \
	019-dparse/bad.profileReview.wrong-nssdb \
	019-dparse/bad.profileSubmit.csr.empty \
	019-dparse/bad.profileSubmit.csr.subject-mismatch \
	019-dparse/bad.profileSubmit.serial.empty \
	019-dparse/bad.profileSubmit.serial.invalid \
	019-dparse/bad.profileSubmit.serial.out-of-range \
	019-dparse/good.checkRequest.complete \
	019-dparse/good.checkRequest.pending \
	019-dparse/good.displayCertFromRequest \
	019-dparse/good.displayCertFromRequest-extra-line \
	019-dparse/good.profileList \
	019-dparse/good.profileReview \
	019-dparse/good.profileSubmit.issued \
	019-dparse/good.profileSubmit.serial.in-range \
	020-xparse/certmaster-fault.xml \
	020-xparse/certmaster-rep1.xml \
	020-xparse/certmaster-rep2.xml \
	020-xparse/certmaster-req.xml \
	020-xparse/ipa-fault.xml \
	020-xparse/ipa-rep-new.xml \
	020-xparse/ipa-req.xml \
	021-resume/expected.out \
	021-resume/run.sh \
	022-base64/expected.out \
	022-base64/run.sh \
	023-cadata/expected.out \
	023-cadata/run.sh \
	024-citerate/expected.out \
	024-citerate/run.sh \
	025-casave/expected.out \
	025-casave/run.sh \
	025-casave-dbm/expected.out \
	025-casave-dbm/run.sh \
	025-casave-sql/expected.out \
	025-casave-sql/run.sh \
	026-local/expected.out \
	026-local/run.sh \
	027-hooks/expected.out \
	027-hooks/run.sh \
	028-dbus/expected.out 028-dbus/expected.out.nodsa \
	028-dbus/entry 028-dbus/bogus-entry \
	028-dbus/prequal.sh \
	028-dbus/run.sh \
	028-dbus/runsub.sh \
	028-dbus/simpleprop.py \
	028-dbus/walk.py \
	029-canonize/expected.out \
	029-canonize/run.sh \
	030-rekey/expected.out \
	030-rekey/run.sh \
	031-pkcs7/prequal.sh \
	031-pkcs7/expected.out \
	031-pkcs7/run.sh \
	032-chain/expected.out \
	032-chain/run.sh \
	033-scep/expected.out \
	033-scep/run.sh \
	034-perms/expected.out \
	034-perms/run.sh \
	034-perms-dbm/expected.out \
	034-perms-dbm/run.sh \
	034-perms-sql/expected.out \
	034-perms-sql/run.sh \
	035-json/expected.out \
	035-json/run.sh \
	035-json/bad.1 \
	035-json/bad.15 \
	035-json/bad.1a \
	035-json/bad.1b \
	035-json/bad.1c \
	035-json/bad.1d \
	035-json/bad.1e \
	035-json/bad.2 \
	035-json/bad.3 \
	035-json/bad.4 \
	035-json/bad.5 \
	035-json/bad.6 \
	035-json/bad.8 \
	035-json/bad.9 \
	035-json/good.1 \
	035-json/good.10 \
	035-json/good.11 \
	035-json/good.12 \
	035-json/good.13 \
	035-json/good.14 \
	035-json/good.15 \
	035-json/good.16 \
	035-json/good.17 \
	035-json/good.18 \
	035-json/good.19 \
	035-json/good.2 \
	035-json/good.20 \
	035-json/good.21 \
	035-json/good.22 \
	035-json/good.2a \
	035-json/good.2b \
	035-json/good.2c \
	035-json/good.3 \
	035-json/good.4 \
	035-json/good.5 \
	035-json/good.6 \
	035-json/good.7 \
	035-json/good.8 \
	035-json/good.9 \
	036-getcert/expected.out \
	036-getcert/run.sh \
	037-rekey2/expected.out \
	037-rekey2/run.sh \
	038-ms-v2-template/expected.out \
	038-ms-v2-template/extract-extdata.py \
	038-ms-v2-template/run.sh \
	039-fromfile/run.sh \
	040-pem/run.sh

subdirs = \
	001-keyiread \
	001-keyiread-rsa \
	002-keygen-rsa \
	003-csrgen \
	003-csrgen-rsa \
	004-selfsign \
	004-selfsign-rsa \
	005-dbusm \
	006-serial \
	008-certread \
	009-oiddict \
	010-iterate \
	014-prefs \
	016-dates \
	018-pembase \
	019-dparse \
	021-resume \
	022-base64 \
	023-cadata \
	024-citerate \
	026-local \
	027-hooks \
	028-dbus \
	029-canonize \
	030-rekey \
	031-pkcs7 \
	032-chain \
	033-scep \
	035-json \
	036-getcert \
	037-rekey2 \
	038-ms-v2-template \
	039-fromfile \
	040-pem

if HAVE_DBM_NSSDB
subdirs += \
	002-keygen-dbm \
	007-certsave-dbm \
	011-dbinit-dbm \
	012-dbadd-dbm \
	013-enckey-dbm \
	015-lockedkey-dbm \
	017-notoken-dbm \
	025-casave-dbm \
	034-perms-dbm
endif

if HAVE_SQL_NSSDB
subdirs += \
	002-keygen-sql \
	007-certsave-sql \
	011-dbinit-sql \
	012-dbadd-sql \
	013-enckey-sql \
	015-lockedkey-sql \
	017-notoken-sql \
	025-casave-sql \
	034-perms-sql
endif

if HAVE_DSA
subdirs += \
	002-keygen-dsa
endif

if HAVE_EC
subdirs += \
	001-keyiread-ec \
	002-keygen-ec \
	003-csrgen-ec \
	004-selfsign-ec
endif

check: all
	if [ ! -e $$HOME/.rnd ] ; then \
		openssl rand -writerand $$HOME/.rnd; \
	fi
	for required in certutil cmsutil pk12util openssl diff cmp mktemp \
			dos2unix unix2dos dbus-launch ; do \
		which $$required || exit 1; \
	done
	env	srcdir=$(srcdir) \
	builddir=$(top_builddir)/tests \
	$(srcdir)/run-tests.sh $(subdirs)
